package cn.reghao.tnb.search.app.model.po;

import cn.reghao.tnb.search.api.dto.VideoSummary;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author reghao
 * @date 2025-04-02 09:19:53
 */
@NoArgsConstructor
@Setter
@Getter
public class VideoText {
    private String id;
    private String videoId;
    private String title;
    private String description;
    private Integer scope;

    public VideoText(VideoSummary videoSummary) {
        this.videoId = videoSummary.getVideoId();
        this.title = videoSummary.getTitle();
        this.description = videoSummary.getDescription();
        this.scope = videoSummary.getScope();
    }

    public VideoText(String videoId, String title, int scope) {
        this.videoId = videoId;
        this.title = title;
        this.description = title;
        this.scope = scope;
    }
}
